Bug 1309240 - /usr/bin/skivi (scikit-image-tools): Switch to Python 3
Summary: /usr/bin/skivi (scikit-image-tools): Switch to Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-scikit-image
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-02-17 10:19 UTC by Petr Viktorin
Modified: 2016-04-04 17:25 UTC (History)
1 user (show)

Fixed In Version: python-scikit-image-0.12.3-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 17:25:07 UTC


Attachments (Terms of Use)

Description Petr Viktorin 2016-02-17 10:19:59 UTC
According to the Python packaging guidelines [0], executables in /usr/bin should use Python 3 if upstream supports it.
Please switch /usr/bin/skivi to Python 3 (or provide both py2 and py3 versions, but that doesn't seem necessary).

It should be a matter of running `%{__python3} setup.py install` after the __python2 version, and adjusting the subpackage's Requires to the python3 version.



It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Sergio Pascual 2016-02-19 14:35:54 UTC
Oh, yes, I missed this one. I will try to fix this ASAP

Comment 2 Jan Kurik 2016-02-24 15:23:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Fedora Update System 2016-03-30 09:27:52 UTC
python-scikit-image-0.12.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-655aff8144

Comment 4 Fedora Update System 2016-03-30 22:25:53 UTC
python-scikit-image-0.12.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-655aff8144

Comment 5 Fedora Update System 2016-04-04 17:25:05 UTC
python-scikit-image-0.12.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.